<?php

// $Id: google_webfont_loader_api.admin.inc,v 1.3.2.3 2011/01/11 22:37:34 btmash Exp $

/**
 * @file google_webfont_loader_api.admin.inc
 * The form which allows for user settings on the webfont loader api.
 * 

/**
 * Form to set what the google webfont loader api will load upon startup.
 */
function google_webfont_loader_api_site_settings($form_state = array()) {
  $form = array();
  $listing = google_webfont_loader_api_get_font_list(TRUE);
  $fonts = array('' => 'n/a - use default theme font');
  foreach ($listing as $list_item) {
    $fonts[$list_item->name] = check_plain($list_item->info['name']);
  }
  $form['google_webfont_loader_api_font'] = array(
    '#type' => 'select',
    '#title' => t('Font'),
    '#description' => t('Use the google webfont loader api to add a font styling to the site.'),
    '#options' => $fonts,
    '#default_value' => variable_get('google_webfont_loader_api_font', ''),
  );
  
  $form['google_webfont_loader_api_cache'] = array(
    '#type' => 'checkbox',
    '#title' => t('Cache Webfont Loader file locally'),
    '#description' => t("If checked, the webfont loader api is retrieved and cached locally. It is updated daily from Google's servers to ensure updates to code are reflected in the local copy."),
    '#default_value' => variable_get('google_webfont_loader_api_cache', 0),
  );
  
  return system_settings_form($form);
}
